# OpalG711_PLC Class Reference

`#include <g711a1_plc.h>`

## Public Member Functions

| OpalG711_PLC (int rate=8000, int channels=1, double pitch_low=66.6, double pitch_high=200)
| ~OpalG711_PLC ()
void | dofe (short *s, int size)
void | addtohistory (short *s, int size)
int | getAlgDelay () const
void | drop (short *s, int size)

## Detailed Description

concealment state variables. This class contains states and code of my concealment algorithm.

## Constructor & Destructor Documentation

OpalG711_PLC::OpalG711_PLC | ( | int | rate = `8000`,
|  | int | channels = `1`,
|  | double | pitch_low = `66.6`,
|  | double | pitch_high = `200` |
| ) |  |  |

constructor

OpalG711_PLC::~OpalG711_PLC | ( |  | ) |

## Member Function Documentation

void OpalG711_PLC::addtohistory | ( | short * | s,
|  | int | size |
| ) |  |  |

add a good frame to history buffer

void OpalG711_PLC::dofe | ( | short * | s,
|  | int | size |
| ) |  |  |

synthesize speech for erasure

void OpalG711_PLC::drop | ( | short * | s,
|  | int | size |
| ) |  |  |

return the algorithmic delay of the algorithm [samples] the previous frame has to be dropped and the playout is increased

int OpalG711_PLC::getAlgDelay | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- g711a1_plc.h